<template>
  <div>
    <img :src="configurationdata && configurationdata.path" alt="封面" class="cover">
  </div>
</template>

<script>
import { createNamespacedHelpers } from 'vuex'
const { mapActions: configmapActions, mapState: configmapState } = createNamespacedHelpers('webconfig')
export default {
  props: {
    w: String,
    h: String
  },
  methods: {
    ...configmapActions(['configurationquery'])
  },
  mounted () {
    this.configurationquery()
  },
  computed: {
    ...configmapState(['configurationdata'])
  }
}
</script>

<style lang="less" scoped>
.cover {
  display: block;
  width: 100%;
}
</style>
